#' Derive Clumping Index with Lang & Yuequin (1986) method
#' 
#' @param obs Observation sensor reading.
#' @param ref Reference sensor reading.
#' 
#' @return PAI (numeric[1])
#' 
#' @export
#' 
#' @author Benjamin Brede
#' 
#' @references Lang & Yuequin (1986): Estimating Leaf Area Index from Transmission of Direct Sunlight in Discontinuous Canopies

CI_LX <- function(obs, ref) {
  tau <- obs / ref
  log(mean(tau)) / mean(log(tau))
}

