#' Day of year formatting and parsing
#' 
#' @param t date as any date-class
#' @param doy DOY as YYYY-JJJ
#' 
#' @author Benjamin Brede

require(lubridate)

doy <- function(t) {
  paste0(year(t), '-', formatC(yday(t), width = 3, flag = 0))
}

parse_doy <- function(doy, tz = 'UTC') {
  as.POSIXct(strptime(doy, '%Y-%j', tz = tz))
}
