#' Remove gap observations from daily time series
#' 
#' @details Filter obs with too low response (0) and uncorrelated time series
#' 
#' @param matched Matched obs/ref data.frame
#' @param rho Correlation limit to filter
#' 
#' @return matched with 
#' 
#' @export
#'
#' @author Benjamin Brede


filterClouds <- function(matched, dn = 0) {
  
  # filter low obs & attach correlation for the day
  matched %>%
    filter(Obs <= dn) %>%
    mutate(DOY = doy(DateTime)) %>%
    group_by(Sensor, DOY) %>%
    mutate(Cor = cor(Obs, Ref))
}
