#' Remove canopy gap observations from daily time series (high, positive outliers in daily time series)
#' 
#' @param matched Matched obs/ref data.frame
#' @param probs Quantile to filter
#' 
#' @return Data.frame
#' 
#' @export
#'
#' @author Benjamin Brede

filterGaps <- function(matched, probs = 0.95) {
  
  # replace obs that are larger than probs-quantile
  matched %>%
    mutate(DOY = doy(DateTime)) %>%
    group_by(Sensor, DOY) %>%
    mutate(Gap = Obs > quantile(Obs, probs = probs, na.rm = TRUE))
    # filter(Obs < quantile(Obs, probs = probs, na.rm = TRUE))
    # mutate(Obs = replace(Obs, Obs > quantile(Obs, probs = probs, na.rm = TRUE), NA))
}

