#' 
#' 
#' @param matched Matched obs/ref data.frame
#' @param dn DN and lower to be filtered as too low (replaced with NA)
#' 
#' @return Data.frame
#' 
#' @export


qualifyPASTIS <- function(matched, dn = 0) {
  
  # replace obs that are larger than probs-quantile
  matched %>%
    mutate(Obs = replace(Obs, Obs <= dn, NA)) %>%
    mutate(DOY = doy(DateTime)) %>%
    group_by(Sensor, DOY) %>%
    mutate(Percentile = rank(Obs, na.last = 'keep') / length(Obs),
           Cor = suppressWarnings(cor(Obs, Ref, use = 'p'))) %>%
    ungroup()
}



