
# author: Benjamin Brede

# load functions
sources <- list.files('path/to/R', pattern = 'R$', full.names = TRUE)
sapply(sources, source)
rm(sources)

library(dplyr)

# load reference sensors
refs <- do.call(rbind, lapply(list.files('path/to/files', pattern = '_RefS.*csv$', full.names = TRUE, recursive = TRUE), readPASTIS))

# load data for device of interest
obs <- readPASTIS('path/to/files')

# match observations based on time stamp > reference and observation in different columns
matched <- matchPASTIS(obs, refs)

# attach quality flags and filter: remove DN=0 readings and upper 4 percentiles
quality_tagged <- qualifyPASTIS(matched, dn = 0)
filtered_pai <- summarisePASTIS_LX(filter(quality_tagged, Percentile <= 0.95))